Skip to navigation

RequestPDFRecipientView

View as Markdown

This method returns the view of the document a recipient would see if the recipient downloaded the document. This allows the sending account to get the recipient view for cases where the documents or tabs the recipient sees are limited, such as when an envelope is sent with document visibility enabled. It includes the ability to set display options for the PDFs.

Schema

NameSchema TypeDescription
EnvelopeIdDSXIdThe envelope ID for the PDF document being requested.
RecipientNameStringThe name of the recipient for the documents being requested. This is the same as the UserName for the envelope.
RecipientEmailStringThe email address of the recipient for the documents being requested. This is the same as Email for the envelope.
PDFOptionsOptional display elements for the PDF:

- ShowChanges – If the account has the Highlight Data Changes feature enabled and this option is set to true, any changed fields for the returned PDF are highlighted in yellow and optional signatures or initials outlined in red. - AddWaterMark – If the account has the watermark feature enabled and the envelope is not complete, the watermark for the account is added to the PDF document. When this is set to false, the watermark is removed from the PDF. - IncludeCert – When set to true, this option removes the envelope signing certificate from the download.

Sample Request XML

POST /api/3.0/dsapi.asmx HTTP/1.1
Host: demo.docusign.net
Content-Type: text/xml; charset=utf-8
Content-Length: length
SOAPAction: "http://www.docusign.net/API/3.0/RequestPDFRecipientsView"
<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
<soap: Body>
<RequestPDFRecipientsView xmlns="http://www.docusign.net/API/3.0">
<EnvelopeID>string</EnvelopeID>
<RecipientName>string</RecipientName>
<RecipientEmail>string</RecipientEmail>
<PDFOptions>
<ShowChanges>boolean</ShowChanges>
<AddWaterMark>boolean</AddWaterMark>
<IncludeCert>boolean</IncludeCert>
</PDFOptions>
</RequestPDFRecipientsView>
</soap:Body>
</soap:Envelope>

The response returns the recipient’s view of the PDF documents in the envelope, with selected display options.

Sample Response XML

HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length
<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
<soap: Body>
<RequestPDFRecipientsViewResponse xmlns="http://www.docusign.net/API/3.0">
<RequestPDFRecipientsViewResult>
<EnvelopeID>string</EnvelopeID>
<PDFBytes>base64Binary</PDFBytes>
</RequestPDFRecipientsViewResult>
</RequestPDFRecipientsViewResponse>
</soap:Body>
</soap:Envelope>